Package Gnumed :: Package business :: Module gmMedication :: Class cSubstanceDose |
[frames] | no frames]

# Class cSubstanceDose

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cSubstanceDose

Instance Methods
format(self, left_margin=0, include_loincs=False) | source code
exists_as_intake(self, pk_patient=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| is_in_use_by_patients = `property(_get_is_in_use_by_patients, l`...``
| is_drug_component = `property(_get_is_drug_component, lambda x: x)`
| formatted_units = `property(_get_formatted_units, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### format(self, left_margin=0, include_loincs=False) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Class Variable Details

  ### is_in_use_by_patients Value:
      property(_get_is_in_use_by_patients, lambda x: x)